package geometry.scene;

import renderer.mesh.Mesh;
import renderer.primitive.Primitive;

public class Hit {

    private Mesh mesh;
    private double distance;

    public Hit(Mesh mesh, double distance) {
        this.mesh = mesh;
        this.distance = distance;
    }

    public Mesh getMesh() {
        return mesh;
    }

    public double getDistance() {
        return distance;
    }
}
